Bug 510017 - When freezing virtual service still able to live migrate!
When freezing virtual service still able to live migrate!
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.4
All Linux
low Severity medium
: beta
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 08:56 EDT by Christian Nilsson
Modified: 2016-04-26 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: rgmanager-2.0.52-1.16.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:49:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (866 bytes, patch)
2009-07-09 12:04 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Christian Nilsson 2009-07-07 08:56:04 EDT
Description of problem:
When i have "freezed" a virtual service with clusvcadm -Z <vm:<name>, I'm still able to live migrate with clusvcadm -M !

Version-Release number of selected component (if applicable):
rgmanager-2.0.46-1.el5_3.3.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Freeze your vm service with clusvcadm -Z vm:<name>
2.Check with clustat that it is freezed.
3.Try to live migrate your service to another cluster member with: clusvcadm -M vm:<name> -m <other member>
  
Actual results:
You will se that it's migrating the service even that it should not!
But the migration never ends clustat tells it's stuck in "migrating".

Expected results:
Should just get an error message stating "not allowed" or something. 


Additional info:
Comment 1 Lon Hohberger 2009-07-09 11:00:07 EDT
Hmm, freezing the VM (in rgmanager) can't prevent an administrator from running 'xm migrate'.
Comment 2 Lon Hohberger 2009-07-09 12:04:34 EDT
Created attachment 351096 [details]
Fix
Comment 8 Dean Jansa 2010-03-02 12:23:20 EST
 [root@marathon-01 ~]# clusvcadm -Z vm:qa-virt-01
Local machine freezing vm:qa-virt-01...Success
[root@marathon-01 ~]# clusvcadm -M vm:qa-virt-01 -m marathon-01
Trying to migrate vm:qa-virt-01 to marathon-01...Failure: Service is frozen


Verified, clusvcadm reports error rather than migrating.
Comment 10 errata-xmlrpc 2010-03-30 04:49:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0280.html

Note You need to log in before you can comment on or make changes to this bug.